org.apache.ignite.internal.processors.task.monitor

## Interface ComputeTaskStatusSnapshot

All Known Implementing Classes:
  ComputeTaskStatus

    public interface ComputeTaskStatusSnapshot

Snapshot of the task status.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<?,?>` `attributes()`
`@Nullable Object` `createBy()`
`long` `endTime()`
`@Nullable Throwable` `failReason()`
`boolean` `fullSupport()`
`boolean` `internal()`
`List<UUID>` `jobNodes()`
`UUID` `originatingNodeId()`
`IgniteUuid` `sessionId()`
`long` `startTime()`
`ComputeTaskStatusEnum` `status()`
`String` `taskName()`

### Method Detail

#### sessionId

    IgniteUuid sessionId()

Returns:
  Session ID of the task being executed.

#### taskName

    String taskName()

Returns:
  Task name of the task this session belongs to.

#### originatingNodeId

    UUID originatingNodeId()

Returns:
  ID of the node on which task execution originated.

#### startTime

    long startTime()

Returns:
  Start of computation time for the task.

#### endTime

    long endTime()

Returns:
  End of computation time for the task.

#### jobNodes

    List<UUID> jobNodes()

Returns:
  Nodes IDs on which the task jobs will execute.

#### attributes

    Map<?,?> attributes()

Returns:
  All session attributes.

#### status

    ComputeTaskStatusEnum status()

Returns:
  Status of the task.

#### failReason

    @Nullable
    @Nullable Throwable failReason()

Returns:
  Reason for the failure of the task.

#### fullSupport

    boolean fullSupport()

Returns:
  `true` if change of task attributes is available.

#### createBy

    @Nullable
    @Nullable Object createBy()

Returns:
  User who created the task, `null` if security is not available.

#### internal

    boolean internal()

Returns:
  `True` if task is internal.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023